/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-05-16
 * 描述            ：二级接口-酸洗PDI-L3撤销
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Pickle.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Pickle.Performance.mapper.IfPlm01L3RevokeMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_PLM01_L3_REVOKE", namespace=IfPlm01L3RevokeMapper.class)
public class IfPlm01L3Revoke extends BaseVO implements Serializable {
	/** 
	 * 撤销时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date revoke_time;
	public Date getRevoke_time() {
		return this.revoke_time;
	}
	public void setRevoke_time(Date revoke_time) {
		this.revoke_time = revoke_time;
	}

	/** 
	 * 撤销人
	 */ 
	@Column
	private String revoke_opr;
	public String getRevoke_opr() {
		return this.revoke_opr;
	}
	public void setRevoke_opr(String revoke_opr) {
		this.revoke_opr = revoke_opr;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 序号
	 */ 
	@Column
	private Long seq_no;
	public Long getSeq_no() {
		return this.seq_no;
	}
	public void setSeq_no(Long seq_no) {
		this.seq_no = seq_no;
	}

	/** 
	 * 机组代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 入口钢卷号
	 */ 
	@Column
	private String coil_no;
	public String getCoil_no() {
		return this.coil_no;
	}
	public void setCoil_no(String coil_no) {
		this.coil_no = coil_no;
	}

}
